<template>
  <button @click="toggleFollow">{{ isFollowing ? 'Unfollow' : 'Follow' }}</button>
</template>

<script>
export default {
  props: {
    isFollowing: Boolean,
  },
  methods: {
    toggleFollow() {
      // Emit an event to request a change in the prop's value
      this.$emit('toggleFollow');
    },
  },
};
</script>

  
  <style scoped>
  .following {
    background-color: green; /* You can style the button based on following status */
    color: white;
  }
  </style>
  